Subject: Re: 1.1.7: stackdump in patch.exe
From: Corinna Vinschen <[email-masked]>
To: Linneweh Tilman <[email-masked]>
Cc: cygwin <[email-masked]>
Date: Thu, 8 Feb 2001 11:46:04 +0100

On Thu, Feb 08, 2001 at 11:07:56AM +0100, Linneweh Tilman wrote:
> Hi!
> 
> Thanks for answering my mail.
> 
> > 
> > Could you please answer a few questions which will help me to track
> > down that problem?
> > 
> > - Which Cygwin (uname -a output)
> 
> Already mentioned:
> 
> > > $ uname -a
> > > CYGWIN_NT-4.0 TOLIMAN 1.1.7(0.31/3/2) 2000-12-25 12:39 i686 unknown
> 
> > - Which patch (Is it the latest version from cygwin/latest?)
> 
> Yes its the latest available. patch --version gives 2.5
> 
> > - The values of $TMPDIR and $TMP (if any)
> 
> I have got $TEMP which has the value /cygdrive/c/temp/
> The other are pointing to ~

Oh, thanks for pointing this out, I forgot $TEMP. I assume your
default mount mode is textmode as well? Anyway, since $TMPDIR
exists, it will be used by patch.

Just FYI, patch uses the following sequence:

	if exists($TMPDIR) use it
	else if exists($TMP) use it
	else if exists($TEMP) use it
	else use /tmp

> > - The mount modes of
> >   - the directory where the diff file resides
> 
> the Dir ist /home so its part of / which $ mount shows as "user textmode"
> (I am not quite sure if thats the information you are asked for, if not explain what i should check)

Sorry, yes, I talked about binmode vs. textmode.

> >   - the src directory of the slrn sources
> 
> is /home/slrn-0.9.6.4pl2	so same mount options as /
> 
> >   - the /tmp, $TMPDIR and $TMP directories
> 
> /tmp	same as /
> 
> $TMPDIR and $TMP are pointing to /home/administrator which is also /

So everything is mounted textmode.

Thanks, I will try it,
Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple